<template>
  <v-menu
    offset-y
    open-on-hover
  >
    <template v-slot:activator="{ on }">
      <v-btn
        rounded
        text
        class="white--text font-weight-bold"
        v-on="on"
      >
        <v-avatar
          class="mr-1"
          width="36px"
          height="36px"
        >
          <img
            v-if="avatar"
            :src="avatar"
          >
          <v-icon
            v-else
          >
            mdi-account-circle
          </v-icon>
        </v-avatar>
        {{ shortFamilyName }}
        <v-icon>mdi-chevron-down</v-icon>
      </v-btn>
    </template>
    <v-list light>
      <v-list-item
        v-for="(menuItem, index) in menuItems"
        :key="index"
      >
        <a
          v-if="menuItem.title"
          :href="menuItem.url"
          :alt="menuItem.title"
        ><v-list-item-title>{{ menuItem.title }}</v-list-item-title></a>
        <v-divider v-else />
      </v-list-item>
    </v-list>
  </v-menu>
</template>
<script>
import { merge } from "lodash";
import {messages_en, messages_fr, messages_eu} from "@translations/components/base/MHeaderProfile/";
import {messages_client_en, messages_client_fr, messages_client_eu} from "@clientTranslations/components/base/MHeaderProfile/"

let MessagesMergedEn = merge(messages_en, messages_client_en);
let MessagesMergedEu = merge(messages_eu, messages_client_eu);
let MessagesMergedFr = merge(messages_fr, messages_client_fr);

export default {
  i18n: {
    messages: {
      'en': MessagesMergedEn,
      'eu': MessagesMergedEu,
      'fr': MessagesMergedFr
    }
  },
  props: {
    avatar:{
      type: String,
      default:null
    },
    shortFamilyName:{
      type: String,
      default:"Profil"
    }
  },
  data(){
    return {
      menuItems: [
        { title: this.$t('myAds.label'), url: this.$t('myAds.route') },
        { title: this.$t('myAcceptedCarpools.label'), url: this.$t('myAcceptedCarpools.route') },
        { title: this.$t('myProfile.label'), url: this.$t('myProfile.route') },
        {},
        { title: this.$t('logOut.label'), url: this.$t('logOut.route') }
      ],
    }
  },
}
</script>
<style lang="scss" scoped>
a{
    text-decoration: none;
}
</style>